<?php

namespace WPIS;

class ShortTags {

    static public function init() {
        $class = new ShortTags();
        add_shortcode( 'wpis-estate-grid', [$class, 'wpis_shortcode_grid'] );
        add_shortcode( 'wpis-estate-search', [$class, 'wpis_shortcode_search'] );
        add_shortcode( 'wpis-estate-single', [$class, 'wpis_shortcode_single'] );
        add_shortcode( 'wpis-estate-single-gallery', [$class, 'wpis_shortcode_single_gallery'] );
        add_shortcode( 'wpis-estate-single-property', [$class, 'wpis_shortcode_single_property'] );
    }

    public function wpis_shortcode_grid() {
        return '<wpis-estate-grid></wpis-estate-grid>';
    }

    public function wpis_shortcode_search() {
        return '<wpis-estate-search></wpis-estate-search>';
    }

    public function wpis_shortcode_single($atts, $content = null) {
        return '<wpis-estate-single>' . do_shortcode($content) . '</wpis-estate-single>';
    }

    public function wpis_shortcode_single_gallery($atts, $content = null) {
        return '<wpis-estate-single-carousel wpis-estate-single-carousel-pictures="vm.estate.pictures"></wpis-estate-single-carousel>';
    }

    public function wpis_shortcode_single_property($atts, $content = null) {
        return '<wpis-estate-single-property wpis-estate-single-property-label="' . $atts['label'] . '" wpis-estate-single-property-value="' . $atts['value'] . '"></wpis-estate-single-property>';
    }
}